Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class ResourceAdapterImpl

    java.lang.Object
      net.sf.dropboxmq.resource.spi.CommonBean
          net.sf.dropboxmq.resource.spi.ResourceAdapterImpl

All Implemented Interfaces:
  Serializable, ResourceAdapter

    public class ResourceAdapterImpl

extends CommonBean
implements ResourceAdapter

Created: 03 Oct 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`ResourceAdapterImpl()`

Method Summary
`void` | `endpointActivation(MessageEndpointFactory messageEndpointFactory, ActivationSpec activationSpec)`
`void` | `endpointDeactivation(MessageEndpointFactory messageEndpointFactory, ActivationSpec activationSpec)`
`BootstrapContext` | `getBootstrapContext()`
`Method` | `getOnMessageMethod()`
`XAResource[]` | `getXAResources(ActivationSpec[] activationSpecs)`
`void` | `start(BootstrapContext bootstrapContextParam)`
`void` | `stop()`

Methods inherited from class net.sf.dropboxmq.resource.spi.CommonBean
`equals, getClassLoadedProperties, getMessageTranscoderFactory, getPollingInterval, getProperty, getRedeliveryAttempts, getRoot, getTargetScanTimeout, hashCode, isConsumeExpiredMessages, isDeleteCompleteTransactions, isDeleteExpiredMessages, isDeleteProcessedMessages, isPreserveDeletedDropboxes, setClassLoadedProperties, setConsumeExpiredMessages, setDeleteCompleteTransactions, setDeleteExpiredMessages, setDeleteProcessedMessages, setMessageTranscoderFactory, setPollingInterval, setPreserveDeletedDropboxes, setRedeliveryAttempts, setRoot, setTargetScanTimeout, toObjectString, validateCommon`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceAdapterImpl

    public ResourceAdapterImpl()

Method Detail

### start

    public void start(BootstrapContext bootstrapContextParam)
               throws ResourceAdapterInternalException

  Specified by:
    `start` in interface `ResourceAdapter`
  Throws:
    `ResourceAdapterInternalException`

### stop

    public void stop()

  Specified by:
    `stop` in interface `ResourceAdapter`

### endpointActivation

    public void endpointActivation(MessageEndpointFactory messageEndpointFactory,
                                   ActivationSpec activationSpec)
                            throws ResourceException

  Specified by:
    `endpointActivation` in interface `ResourceAdapter`
  Throws:
    `ResourceException`

### endpointDeactivation

    public void endpointDeactivation(MessageEndpointFactory messageEndpointFactory,
                                     ActivationSpec activationSpec)

  Specified by:
    `endpointDeactivation` in interface `ResourceAdapter`

### getXAResources

    public XAResource[] getXAResources(ActivationSpec[] activationSpecs)
                                throws ResourceException

  Specified by:
    `getXAResources` in interface `ResourceAdapter`
  Throws:
    `ResourceException`

### getBootstrapContext

    public BootstrapContext getBootstrapContext()

### getOnMessageMethod

    public Method getOnMessageMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD